summaryrefslogtreecommitdiffstats
path: root/abs/core-testing/LinHES-config
diff options
context:
space:
mode:
Diffstat (limited to 'abs/core-testing/LinHES-config')
-rwxr-xr-xabs/core-testing/LinHES-config/systemconfig.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/abs/core-testing/LinHES-config/systemconfig.sh b/abs/core-testing/LinHES-config/systemconfig.sh
index 59b5cef..80fd9b8 100755
--- a/abs/core-testing/LinHES-config/systemconfig.sh
+++ b/abs/core-testing/LinHES-config/systemconfig.sh
@@ -161,6 +161,12 @@ echo $timezone
ln -s "/usr/share/zoneinfo/$timezone" ${BASE}/etc/localtime
sed -e "s~^TIMEZONE=.*$~TIMEZONE=\"${timezone}\"~" ${BASE}/etc/rc.conf > $TEMPLATES/rc.conf
+ grep -v disablemodules=agpart,intel_agp /proc/cmdline > /tmp/aa
+ if [ -s /tmp/aa ]; then
+ cat $TEMPLATES/rc.conf | sed -e '/MOD_BLACKLIST/ c\MOD_BLACKLIST=($ALSABLACKLIST agpart intel_agp)' > $TEMPLATES/rc.conf
+ else
+ exit 1
+ fi
# echo CLOCK="UTC" > ${BASE}/etc/conf.dclock
# echo CLOCK_SYSTOCH="yes" >> ${BASE}/etc/conf.d/clock
# echo TIMEZONE="$timezone" >> ${BASE}/etc/conf.d/clock